export default function updateSummary() {
  const shipmentOptions = document.querySelectorAll('.shipment_option');
  Array.from(shipmentOptions).forEach((shipmentOption) => {
    shipmentOption.addEventListener('change', () => {
      const orderSummary = document.querySelector('#sylius-checkout-subtotal');
      fetch(shipmentOption.dataset.url, {
        method: 'GET',
      }).then((result) => {
        if (result.status === 200) {
          return result.json();
        }
        throw new Error('Shipment_order_updater return non 200 code');
      }).then((result) => {
        orderSummary.parentElement.outerHTML = result.view;
      });
    });
  });
}
