<?php

declare(strict_types=1);

namespace Dedi\SyliusShipmentPlugin\Entity;

use Sylius\Component\Addressing\Model\AddressInterface;

interface TempAddressAwareInterface
{
    public function getTempShippingAddress(): ?AddressInterface;

    public function setTempShippingAddress(?AddressInterface $tempShippingAddress): static;
}
